%global git_tag 2.9.0
%global _bootstrap 0

Name:		eclipse-emf-mwe
Version:	2.9.0
Release:	1%{?dist}
Summary:	Modeling Workflow Engine
License:	EPL
URL:		https://eclipse.org/modeling/emft/?project=mwe

Source0:	https://git.eclipse.org/c/emf/org.eclipse.mwe.git/snapshot/org.eclipse.mwe-%{git_tag}.tar.xz

BuildArch:	noarch

BuildRequires:	tycho
BuildRequires:	tycho-extras
BuildRequires:	cbi-plugins
BuildRequires:	guava
BuildRequires:	google-guice
BuildRequires:	antlr32-java
BuildRequires:	eclipse-platform >= 1:4.4
BuildRequires:	apache-commons-cli
BuildRequires:	eclipse-emf-runtime
BuildRequires:	eclipse-license
BuildRequires:	sonatype-oss-parent
BuildRequires:	maven-gpg-plugin

%if ! %{_bootstrap}
# Because xtext creates circular dep with this package
BuildRequires:	eclipse-xtext
%endif

%description
MWE is a framework for the integration of model processing work flows.

%prep
%setup -q -n org.eclipse.mwe-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

pushd maven/org.eclipse.emf.mwe2.parent
%pom_remove_plugin org.eclipse.tycho:target-platform-configuration
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin
%pom_disable_module ../../tests/
%pom_disable_module ../org.eclipse.emf.mwe2.repository
popd

%if %{_bootstrap}
# Things that need xtext
%pom_disable_module org.eclipse.emf.mwe2.language plugins
%pom_disable_module org.eclipse.emf.mwe2.language.ui plugins
%pom_disable_module org.eclipse.emf.mwe2.language.sdk-feature features
%pom_disable_module org.eclipse.emf.mwe2.launch plugins
%pom_disable_module org.eclipse.emf.mwe2.launch.ui plugins
%pom_disable_module org.eclipse.emf.mwe2.launcher-feature features
%endif

# Relax xtext restriction
sed -i -e '/org\.eclipse\.xtext/s/2\.10/2.9/' \
  features/org.eclipse.emf.mwe2.launcher-feature/feature.xml
%pom_xpath_remove "requires/import[@feature='org.eclipse.xtext.ui']" \
  features/org.eclipse.emf.mwe2.language.sdk-feature/feature.xml

# Don't package poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j -- -f maven/org.eclipse.emf.mwe2.parent/pom.xml

%install
%mvn_install

%files -f .mfiles

%changelog
* Wed Oct 05 2016 Mat Booth <mat.booth@redhat.com> - 2.9.0-1
- Update to tagged release
- Relax restiction on xtext

* Mon Jun 20 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.9.0-0.5.gita872c98
- Add missing build-requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-0.4.gita872c98
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 27 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.3.gita872c98
- bootstrap flag off


* Fri Nov 20 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.2.gita872c98
- rpmlint issues fixed

* Tue Nov 17 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.1.gita872c98
- Initial packaging
